Skip to main content
GET
Show profile analytics

Authorizations

Authorization
string
header
required

Personal access token, sent as Authorization: Bearer <token>.

Path Parameters

profile
string
required

The profile UUID

Query Parameters

post_type
enum<string>

Filter posts by post type name.

Available options:
image,
multi-image,
video,
link,
text,
unknown,
reel,
story,
mixed-media-carousel
post_types[]
enum<string>[]

Filter posts by several post type names (same values as post_type).

Available options:
image,
multi-image,
video,
link,
text,
unknown,
reel,
story,
mixed-media-carousel
timeframe
enum<string>

Predefined timeframe value, e.g. last_7_days.

Available options:
last_14_days,
last_7_days,
last_30_days,
last_60_days,
last_90_days,
prev_month,
this_month,
this_week,
for_all_time
sort
enum<string>

Sort the posts by published_at, likes, comments, shares, engagement, engagement_rate or reach; prefix - for descending (e.g. -likes). Default: newest first.

Available options:
published_at,
likes,
comments,
shares,
engagement,
engagement_rate,
reach,
-published_at,
-likes,
-comments,
-shares,
-engagement,
-engagement_rate,
-reach

Response

ProfileAnalyticsResource

data
ProfileAnalyticsResource · object
required